OperationCreateBentPlateByParts Method (Part, Part, Double) |
Modifies the first plate by adding a bend that connects it to the second plate
creating a new BentPlate instance based on two parts and a radius.
This method can change GUID when using from plug-ins.
To keep GUID, use AddLeg(ConnectiveGeometry, ConnectiveGeometry, Double).
Namespace: Tekla.Structures.Model.Operations
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
Parameters
- part1
- Type: Tekla.Structures.ModelPart
One part used for creating the bent plate. - part2
- Type: Tekla.Structures.ModelPart
The other part used for creating the bent plate. - radius
- Type: SystemDouble
The target radius for the created cylindrical section.
Return Value
Type: BentPlateThe bent plate object if successful, null otherwise
Exceptions
Exception | Condition |
---|---|
ConnectiveGeometryException | Thrown if could not create ConnectiveGeometry instance. |
ArgumentException | Thrown if received unsupported bent plate creation input. |
See Also